package main

import (
	"encoding/json"
	"log"
	"net/http"
	"os"
)

func main() {
	err := http.ListenAndServe(":8080", NewRouter())
	if err != nil {
		log.Print(err)
		os.Exit(1)
	}
}

func NewRouter() (router *http.ServeMux) {
	router = http.NewServeMux()
	router.Handle("/books", &books{})
	return
}

type books struct{}

func (h *books) ServeHTTP(w http.ResponseWriter, r *http.Request) {
	w.Header().Set("Content-Type", "application/json")
	model := struct {
		Message string
	}{
		"No books available!",
	}
	json.NewEncoder(w).Encode(model)
}
